<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:38 CEST 2019 -->
<title>org.firebirdsql.management Class Hierarchy (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.management Class Hierarchy (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/logging/package-tree.html">Prev</a></li>
<li><a href="../../../org/firebirdsql/util/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.firebirdsql.management</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBBackupManagerBase.PathSizeStruct.html" title="class in org.firebirdsql.management"><span class="typeNameLink">FBBackupManagerBase.PathSizeStruct</span></a></li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBCommandLine.html" title="class in org.firebirdsql.management"><span class="typeNameLink">FBCommandLine</span></a></li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">FBManager</span></a> (implements org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a>)</li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBServiceManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">FBServiceManager</span></a> (implements org.firebirdsql.management.<a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a>)
<ul>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBBackupManagerBase.html" title="class in org.firebirdsql.management"><span class="typeNameLink">FBBackupManagerBase</span></a> (implements org.firebirdsql.management.<a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a>)
<ul>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBBackupManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">FBBackupManager</span></a> (implements org.firebirdsql.management.<a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a>)</li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBStreamingBackupManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">FBStreamingBackupManager</span></a> (implements org.firebirdsql.management.<a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management">BackupManager</a>)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBMaintenanceManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">FBMaintenanceManager</span></a> (implements org.firebirdsql.management.<a href="../../../org/firebirdsql/management/MaintenanceManager.html" title="interface in org.firebirdsql.management">MaintenanceManager</a>)</li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBNBackupManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">FBNBackupManager</span></a> (implements org.firebirdsql.management.<a href="../../../org/firebirdsql/management/NBackupManager.html" title="interface in org.firebirdsql.management">NBackupManager</a>)</li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBStatisticsManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">FBStatisticsManager</span></a> (implements org.firebirdsql.management.<a href="../../../org/firebirdsql/management/StatisticsManager.html" title="interface in org.firebirdsql.management">StatisticsManager</a>)</li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBTraceManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">FBTraceManager</span></a> (implements org.firebirdsql.management.<a href="../../../org/firebirdsql/management/TraceManager.html" title="interface in org.firebirdsql.management">TraceManager</a>)</li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBUserManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">FBUserManager</span></a> (implements org.firebirdsql.management.<a href="../../../org/firebirdsql/management/UserManager.html" title="interface in org.firebirdsql.management">UserManager</a>)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBUser.html" title="class in org.firebirdsql.management"><span class="typeNameLink">FBUser</span></a> (implements org.firebirdsql.management.<a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a>)</li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/PageSizeConstants.html" title="class in org.firebirdsql.management"><span class="typeNameLink">PageSizeConstants</span></a></li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/StatisticsManager.DatabaseTransactionInfo.html" title="class in org.firebirdsql.management"><span class="typeNameLink">StatisticsManager.DatabaseTransactionInfo</span></a></li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">AutoCloseable</span></a>
<ul>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management"><span class="typeNameLink">FBManagerMBean</span></a></li>
</ul>
</li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management"><span class="typeNameLink">ServiceManager</span></a>
<ul>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/BackupManager.html" title="interface in org.firebirdsql.management"><span class="typeNameLink">BackupManager</span></a></li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/MaintenanceManager.html" title="interface in org.firebirdsql.management"><span class="typeNameLink">MaintenanceManager</span></a></li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/NBackupManager.html" title="interface in org.firebirdsql.management"><span class="typeNameLink">NBackupManager</span></a></li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/StatisticsManager.html" title="interface in org.firebirdsql.management"><span class="typeNameLink">StatisticsManager</span></a></li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/TraceManager.html" title="interface in org.firebirdsql.management"><span class="typeNameLink">TraceManager</span></a></li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/UserManager.html" title="interface in org.firebirdsql.management"><span class="typeNameLink">UserManager</span></a></li>
</ul>
</li>
<li type="circle">org.firebirdsql.management.<a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management"><span class="typeNameLink">User</span></a></li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/logging/package-tree.html">Prev</a></li>
<li><a href="../../../org/firebirdsql/util/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
